Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# SecurityLevel2::Credentials Interface Reference

`#include <SecurityLevel2.idl>`

Inheritance diagram for SecurityLevel2::Credentials

[legend]
List of all members.

## Public Methods
Credentials | copy ()
void | destroy ()
boolean | get_security_feature ( in Security::CommunicationDirection direction, in Security::SecurityFeature feature )
boolean | set_attributes ( in Security::AttributeList requested_attributes, out Security::AttributeList actual_privilegesactual_attributes )
Security::AttributeList | get_attributes ( in Security::AttributeTypeList attributes )
boolean | is_valid ( out Security::UtcT expiry_time )
boolean | refresh ( in any refresh_data )
## Public Attributes
readonly attribute Security::InvocationCredentialsType | credentials_type
readonly attribute Security::AuthenticationStatus | authentication_state
readonly attribute Security::MechanismType | mechanism
attribute Security::AssociationOptions | accepting_options_supported
attribute Security::AssociationOptions | accepting_options_required
attribute Security::AssociationOptions | invocation_options_supported
attribute Security::AssociationOptions | invocation_options_required

## Member Function Documentation

Credentials SecurityLevel2::Credentials::copy ( | )

void SecurityLevel2::Credentials::destroy ( | )

Security::AttributeList SecurityLevel2::Credentials::get_attributes ( | in Security::AttributeTypeList attributes )

boolean SecurityLevel2::Credentials::get_security_feature ( | in Security::CommunicationDirection direction,
| in Security::SecurityFeature feature )

boolean SecurityLevel2::Credentials::is_valid ( | out Security::UtcT expiry_time )

boolean SecurityLevel2::Credentials::refresh ( | in any refresh_data )

boolean SecurityLevel2::Credentials::set_attributes ( | in Security::AttributeList requested_attributes,
| out Security::AttributeList actual_privilegesactual_attributes )

## Member Data Documentation

attribute Security::AssociationOptions SecurityLevel2::Credentials::accepting_options_required

attribute Security::AssociationOptions SecurityLevel2::Credentials::accepting_options_supported

readonly attribute Security::AuthenticationStatus SecurityLevel2::Credentials::authentication_state

readonly attribute Security::InvocationCredentialsType SecurityLevel2::Credentials::credentials_type

attribute Security::AssociationOptions SecurityLevel2::Credentials::invocation_options_required

attribute Security::AssociationOptions SecurityLevel2::Credentials::invocation_options_supported

readonly attribute Security::MechanismType SecurityLevel2::Credentials::mechanism

The documentation for this interface was generated from the following file:

- SecurityLevel2.idl